[Done] PB v6.0x - Linux Raspberry PI OS 32 Bit (bullseye)

Post bugreports for the Linux version here
User avatar
mk-soft
Always Here
Always Here
Posts: 5249
Joined: Fri May 12, 2006 6:51 pm
Location: Germany

[Done] PB v6.0x - Linux Raspberry PI OS 32 Bit (bullseye)

Post by mk-soft »

While testing the Purebasic v6.01 to v6.03 32 bit version (Arm32 / i386) I had to realise that it does not run under Debian Raspberry PI OS (Arm32/i386).

It does not work the BindEvent and BindGadgetEvent under this OS version (32bit)
Therefore the used TabBarGadget does not work either.

Under Debian Raspberry PI OS Arm64 bit (Linux 11) it works.
Under Mint Linux LMDE 5 (Linux 11, 32bit, i386) it works.
Last edited by mk-soft on Mon Dec 25, 2023 12:02 pm, edited 1 time in total.
My Projects ThreadToGUI / OOP-BaseClass / EventDesigner V3
PB v3.30 / v5.75 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace / OneDrive
User avatar
mk-soft
Always Here
Always Here
Posts: 5249
Joined: Fri May 12, 2006 6:51 pm
Location: Germany

Re: PB v6.0x - Linux Raspberry PI OS 32 Bit

Post by mk-soft »

Hardware: Raspberry PI4
Linux 11:
After today's update of Raspberry PI OS 32 Linux 11, the Purebasic IDE no longer works, as with Linux 12
BindEvent and BindGadgetEvent do not work anymore.
There must be a type error, because it works under 64 bit.

Linux 12: 32 and 64 bit
GTK.StatusIcon (PB Systray) is no longer supported and therefore no longer works. (deprecated: 3.14)
Link: https://docs.gtk.org/gtk3/class.StatusIcon.html

Unfortunately, various changes are once again being made to the basic linux system. :(
My Projects ThreadToGUI / OOP-BaseClass / EventDesigner V3
PB v3.30 / v5.75 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace / OneDrive
User avatar
mk-soft
Always Here
Always Here
Posts: 5249
Joined: Fri May 12, 2006 6:51 pm
Location: Germany

Re: PB v6.0x - Linux Raspberry PI OS 32 Bit

Post by mk-soft »

Hello Fred,

The pb version v6.10 requires the current Linux version 12 (bookworm) and does not run on Linux 11 (bullseye) anymore
I know that the new version is currently being worked on.

But unfortunately we don't have an older PB version that works on Raspberry 32 bit (bullseye) because the BindEvent doesn't work anymore.

If possible, please check here again where the problem is, because it works under Raspberry 64 bit (bullseye) and update to pb v6.04.
(would also donate something for it)
My Projects ThreadToGUI / OOP-BaseClass / EventDesigner V3
PB v3.30 / v5.75 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace / OneDrive
Fred
Administrator
Administrator
Posts: 16522
Joined: Fri May 17, 2002 4:39 pm
Location: France
Contact:

Re: PB v6.0x - Linux Raspberry PI OS 32 Bit (bullseye)

Post by Fred »

Sure, I will take a look
Fred
Administrator
Administrator
Posts: 16522
Joined: Fri May 17, 2002 4:39 pm
Location: France
Contact:

Re: PB v6.0x - Linux Raspberry PI OS 32 Bit (bullseye)

Post by Fred »

I just deployed a new 6.04 version for raspberry which should fix it, could you test ?
User avatar
mk-soft
Always Here
Always Here
Posts: 5249
Joined: Fri May 12, 2006 6:51 pm
Location: Germany

Re: PB v6.0x - Linux Raspberry PI OS 32 Bit (bullseye)

Post by mk-soft »

Thank you very much :D

The IDE and BindEvent are working again on Linux 11 Arm32 (Bullseye)

At the same time I updated the patches for the Linux IDE's v6.04.
- Linux event bugfix in EditHistory.pb
- Linux Raspberry added the console lxterminal in LinuxMisc.pb

Link: PureBasic IDE Patches
My Projects ThreadToGUI / OOP-BaseClass / EventDesigner V3
PB v3.30 / v5.75 - OS Mac Mini OSX 10.xx - VM Window Pro / Linux Ubuntu
Downloads on my Webspace / OneDrive
Post Reply